This repository contains the default Ruby styles for RoQua projects.

Steps to add to a Rails project:

### Step 1
Add the following to the Gemfile:

`gem 'roqua_styleguide', git: 'https://gitlab.roqua.nl/roqua/styleguide.git'`

### Step 2
Remove the existing `rubocop` gem reference from the Gemfile if it exists

### Step 3
Run `bundle`

### Step 4: optional step, only for non Rails projects
Add the following to the `Rakefile`:
```ruby
spec = Gem::Specification.find_by_name 'roqua_styleguide'
load "#{spec.gem_dir}/lib/tasks/styleguide.rake"
```

### Step 5
Run `rake styleguide:update`

### Step 6
Add this to the .rubocop.yml file:
```yaml
inherit_from:
  - styleguide/ruby/{THE_CORRECT_STYLE_FILE}
```

### Step 7
Commit the new styleguide file(s) to the repo